import commonLogic from '@/locale/logic/common/common-logic';
// 基于 APP/src/locale/lanres/entities/%DE_PKGPATH%/%DE_PKGPATH%_BO_CN_base.ts.ftl 生成
function getLocaleResourceBase(){
	const data:any = {
	fields: {
		createdate: commonLogic.appcommonhandle("建立时间",null),
		createman: commonLogic.appcommonhandle("建立人",null),
		microcomponentname: commonLogic.appcommonhandle("微组件名称",null),
		microcomponentid: commonLogic.appcommonhandle("微组件标识",null),
		updatedate: commonLogic.appcommonhandle("更新时间",null),
		updateman: commonLogic.appcommonhandle("更新人",null),
		field: commonLogic.appcommonhandle("属性",null),
		field2: commonLogic.appcommonhandle("属性2",null),
		field3: commonLogic.appcommonhandle("属性3",null),
		field4: commonLogic.appcommonhandle("属性4",null),
		field5: commonLogic.appcommonhandle("属性5",null),
		field6: commonLogic.appcommonhandle("属性6",null),
		field7: commonLogic.appcommonhandle("属性7",null),
		field8: commonLogic.appcommonhandle("属性8",null),
		field9: commonLogic.appcommonhandle("属性9",null),
		field10: commonLogic.appcommonhandle("属性10",null),
		field11: commonLogic.appcommonhandle("属性11",null),
		field12: commonLogic.appcommonhandle("属性12",null),
		field13: commonLogic.appcommonhandle("属性13",null),
		field14: commonLogic.appcommonhandle("属性14",null),
		field15: commonLogic.appcommonhandle("属性15",null),
		field16: commonLogic.appcommonhandle("属性16",null),
		field17: commonLogic.appcommonhandle("属性17",null),
		field18: commonLogic.appcommonhandle("属性18",null),
		field19: commonLogic.appcommonhandle("属性19",null),
		field20: commonLogic.appcommonhandle("属性20",null),
		field21: commonLogic.appcommonhandle("属性21",null),
		field22: commonLogic.appcommonhandle("属性22",null),
		field23: commonLogic.appcommonhandle("属性23",null),
		field24: commonLogic.appcommonhandle("属性24",null),
		field25: commonLogic.appcommonhandle("属性25",null),
		field26: commonLogic.appcommonhandle("属性26",null),
		field27: commonLogic.appcommonhandle("属性27",null),
		field28: commonLogic.appcommonhandle("属性28",null),
		field29: commonLogic.appcommonhandle("属性29",null),
		field30: commonLogic.appcommonhandle("属性30",null),
		field31: commonLogic.appcommonhandle("属性31",null),
		field32: commonLogic.appcommonhandle("属性32",null),
		field33: commonLogic.appcommonhandle("属性33",null),
		field34: commonLogic.appcommonhandle("属性34",null),
		field35: commonLogic.appcommonhandle("属性35",null),
		field36: commonLogic.appcommonhandle("属性36",null),
		field37: commonLogic.appcommonhandle("属性37",null),
		field38: commonLogic.appcommonhandle("属性38",null),
		field39: commonLogic.appcommonhandle("属性39",null),
		field40: commonLogic.appcommonhandle("属性40",null),
	},
		views: {
			editview: {
				caption: commonLogic.appcommonhandle("微组件",null),
				title: commonLogic.appcommonhandle("微组件编辑视图",null),
			},
			gridview: {
				caption: commonLogic.appcommonhandle("微组件",null),
				title: commonLogic.appcommonhandle("微组件表格视图",null),
			},
		},
		main_form: {
			details: {
				group1: commonLogic.appcommonhandle("单位选择",null), 
				grouppanel1: commonLogic.appcommonhandle("部门选择",null), 
				grouppanel2: commonLogic.appcommonhandle("人员选择",null), 
				grouppanel3: commonLogic.appcommonhandle("磁盘存储",null), 
				grouppanel4: commonLogic.appcommonhandle("工作流审批流程图",null), 
				grouppanel5: commonLogic.appcommonhandle("自定义",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("微组件标识",null), 
				srfmajortext: commonLogic.appcommonhandle("微组件名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				microcomponentname: commonLogic.appcommonhandle("微组件名称",null), 
				field3: commonLogic.appcommonhandle("指定单位及下级单位单选",null), 
				field1: commonLogic.appcommonhandle("指定单位及下级单位多选",null), 
				field5: commonLogic.appcommonhandle("全部单位单选",null), 
				field7: commonLogic.appcommonhandle("全部单位多选",null), 
				field11: commonLogic.appcommonhandle("指定单位及下级单位所有部门单选",null), 
				field9: commonLogic.appcommonhandle("指定单位及下级单位所有部门多选",null), 
				field15: commonLogic.appcommonhandle("指定单位部门单选",null), 
				field13: commonLogic.appcommonhandle("指定单位部门多选",null), 
				field19: commonLogic.appcommonhandle("指定单位人员单选",null), 
				field17: commonLogic.appcommonhandle("指定单位人员多选",null), 
				field23: commonLogic.appcommonhandle("指定单位及下级单位人员单选",null), 
				field21: commonLogic.appcommonhandle("指定单位及下级单位人员多选",null), 
				field27: commonLogic.appcommonhandle("指定部门人员单选",null), 
				field25: commonLogic.appcommonhandle("指定部门人员多选",null), 
				field31: commonLogic.appcommonhandle("指定部门及下级部门人员单选",null), 
				field29: commonLogic.appcommonhandle("指定部门及下级部门人员多选",null), 
				field33: commonLogic.appcommonhandle("磁盘文件",null), 
				field34: commonLogic.appcommonhandle("磁盘图片",null), 
				formitem: commonLogic.appcommonhandle("表格样式",null), 
				formitem1: commonLogic.appcommonhandle("时光轴样式",null), 
				field35: commonLogic.appcommonhandle("",null), 
				microcomponentid: commonLogic.appcommonhandle("微组件标识",null), 
				field28: commonLogic.appcommonhandle("属性28",null), 
				field18: commonLogic.appcommonhandle("属性18",null), 
				field32: commonLogic.appcommonhandle("属性32",null), 
				field14: commonLogic.appcommonhandle("属性14",null), 
				field26: commonLogic.appcommonhandle("属性26",null), 
				field4: commonLogic.appcommonhandle("属性4",null), 
				field16: commonLogic.appcommonhandle("属性16",null), 
				field2: commonLogic.appcommonhandle("属性2",null), 
				field24: commonLogic.appcommonhandle("属性24",null), 
				field8: commonLogic.appcommonhandle("属性8",null), 
				field22: commonLogic.appcommonhandle("属性22",null), 
				field12: commonLogic.appcommonhandle("属性12",null), 
				field6: commonLogic.appcommonhandle("属性6",null), 
				field20: commonLogic.appcommonhandle("属性20",null), 
				field30: commonLogic.appcommonhandle("属性30",null), 
			},
			uiactions: {
			},
		},
		main_grid: {
			columns: {
				microcomponentname: commonLogic.appcommonhandle("微组件名称",null),
				updateman: commonLogic.appcommonhandle("更新人",null),
				updatedate: commonLogic.appcommonhandle("更新时间",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("常规条件",null), 
			},
			uiactions: {
			},
		},
		gridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("编辑",null),
				tip: commonLogic.appcommonhandle("编辑",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("刷新",null),
				tip: commonLogic.appcommonhandle("刷新",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("删除",null),
				tip: commonLogic.appcommonhandle("删除",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("导出",null),
				tip: commonLogic.appcommonhandle("导出",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("导出数据模型",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
		},
	};
	return data;
}
export default getLocaleResourceBase;